Skip to main content
GET
/
admin
/
users
/
{userId}
Get user
curl --request GET \
  --url https://api.portkey.ai/v1/admin/users/{userId} \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/admin/users/{userId}"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/admin/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "user",
  "id": "61e08f60-4822-465e-ba23-39f85cd741cb",
  "first_name": "horace",
  "last_name": "slughorn",
  "role": "member",
  "email": "horace.slughorn@example.com",
  "created_at": "2024-01-25 11:35:07",
  "last_updated_at": "2024-01-25 11:35:07",
  "workspace_ids": [
    "ws-shared-123"
  ]
}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

userId
string
required

Response

200 - application/json

OK

object
enum<string>
Available options:
user
id
string<uuid>
first_name
string
last_name
string
role
enum<string>
Available options:
admin,
member,
owner
email
string<email>
created_at
string<date-time>
last_updated_at
string<date-time>
workspace_ids
string[]
Last modified on April 2, 2026